/* CertificateVerify.java -- SSL CertificateVerify message.
   Copyright (C) 2003  Casey Marshall <rsdio@metastatic.org>

This file is a part of Jessie.

Jessie is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

Jessie is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along
with Jessie; if not, write to the

   Free Software Foundation, Inc.,
   59 Temple Place, Suite 330,
   Boston, MA  02111-1307
   USA  */


package org.metastatic.jessie.provider;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.StringReader;
import java.io.StringWriter;
import java.security.PublicKey;

final class CertificateVerify extends Signature implements Handshake.Body
{

  // Contstructor.
  // -------------------------------------------------------------------------

  CertificateVerify(Object sigValue, String sigAlg)
  {
    super(sigValue, sigAlg);
  }

  // Class method.
  // --------------------------------------------------------------------------

  static Signature read(InputStream in, CipherSuite suite, PublicKey key)
    throws IOException
  {
    Signature sig = Signature.read(in, suite, key);
    return new CertificateVerify(sig.getSigValue(), sig.getSigAlg());
  }

  // Instance method.
  // -------------------------------------------------------------------------

  public String toString()
  {
    StringWriter str = new StringWriter();
    PrintWriter out = new PrintWriter(str);
    out.println("struct {");
    BufferedReader r = new BufferedReader(new StringReader(super.toString()));
    String s;
    try
      {
        while ((s = r.readLine()) != null)
          {
            out.print("  ");
            out.println(s);
          }
      }
    catch (IOException ignored)
      {
      }
    out.println("} CertificateVerify;");
    return str.toString();
  }
}
