// THIS IS A GENERATED FILE. DO NOT EDIT. -*- buffer-read-only: t -*-
/* Jessie.java -- JESSIE's JSSE provider.    -*- java -*-
   Copyright (C) 2003  Casey Marshall <rsdio@metastatic.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the

   Free Software Foundation, Inc.,
   59 Temple Place, Suite 330,
   Boston, MA  02111-1307
   USA  */


package org.metastatic.jessie.provider;

import java.security.Provider;

/**
 * This is the security provider for Jessie. It implements the following
 * algorithms:
 *
 * <pre>
 * {@link javax.net.ssl.SSLContext}.SSLv3
 * {@link javax.net.ssl.SSLContext}.SSL
 * {@link javax.net.ssl.SSLContext}.TLSv1
 * {@link javax.net.ssl.SSLContext}.TLS
 * {@link javax.net.ssl.KeyManagerFactory}.JessieX509
 * {@link javax.net.ssl.TrustManagerFactory}.JessieX509
 * {@link javax.net.ssl.TrustManagerFactory}.SRP
 * </pre>
 *
 */
public class Jessie extends Provider
{

  public static final String VERSION = "0.9.4";
  public static final double VERSION_DOUBLE = 0.0904;

  public Jessie()
  {
    super("Jessie", VERSION_DOUBLE,
          "Implementing SSLv3, TLSv1 SSL Contexts; X.509 Key Manager Factories;" +
          System.getProperty("line.separator") +
          "X.509 and SRP Trust Manager Factories.");

    put("SSLContext.SSLv3", org.metastatic.jessie.provider.Context.class.getName());
    put("Alg.Alias.SSLContext.SSL",     "SSLv3");
    put("Alg.Alias.SSLContext.TLSv1",   "SSLv3");
    put("Alg.Alias.SSLContext.TLS",     "SSLv3");
    //put("Alg.Alias.SSLContext.TLSv1.1", "SSLv3");

    put("KeyManagerFactory.JessieX509",   org.metastatic.jessie.provider.X509KeyManagerFactory.class.getName());
    put("TrustManagerFactory.JessieX509", org.metastatic.jessie.provider.X509TrustManagerFactory.class.getName());
    put("TrustManagerFactory.SRP", org.metastatic.jessie.provider.SRPTrustManagerFactory.class.getName());
  }
}
